Index: boot/arch/amd64/Makefile.inc
===================================================================
--- boot/arch/amd64/Makefile.inc	(revision dac629e767b17f75b8968349798b5c5247f1ed44)
+++ boot/arch/amd64/Makefile.inc	(revision de9c5cbc90334782b655fd95ccf8e38ca75bd9be)
@@ -41,19 +41,21 @@
 endif
 
-RD_TASKS = \
+RD_SRVS = \
 	$(USPACEDIR)/srv/pci/pci \
 	$(USPACEDIR)/srv/fb/fb \
 	$(USPACEDIR)/srv/kbd/kbd \
 	$(USPACEDIR)/srv/console/console \
+	$(USPACEDIR)/srv/fs/tmpfs/tmpfs \
+	$(USPACEDIR)/srv/fs/fat/fat
+
+RD_APPS = \
 	$(USPACEDIR)/app/tetris/tetris \
 	$(USPACEDIR)/app/tester/tester \
 	$(USPACEDIR)/app/klog/klog \
-	$(USPACEDIR)/app/bdsh/bdsh \
-	$(USPACEDIR)/srv/fs/tmpfs/tmpfs \
-	$(USPACEDIR)/srv/fs/fat/fat
+	$(USPACEDIR)/app/bdsh/bdsh
 
 build: $(BASE)/image.iso
 
-$(BASE)/image.iso: arch/$(ARCH)/grub/stage2_eltorito arch/$(ARCH)/grub/menu.lst $(KERNELDIR)/kernel.bin $(INIT_TASKS) $(RD_TASKS)
+$(BASE)/image.iso: arch/$(ARCH)/grub/stage2_eltorito arch/$(ARCH)/grub/menu.lst $(KERNELDIR)/kernel.bin $(INIT_TASKS) $(RD_SRVS) $(RD_APPS)
 	mkdir -p arch/$(ARCH)/iso/boot/grub
 	cp arch/$(ARCH)/grub/stage2_eltorito arch/$(ARCH)/iso/boot/grub/
@@ -68,6 +70,9 @@
 		cp $$task arch/$(ARCH)/iso/boot/ ; \
 	done
-	for task in $(RD_TASKS) ; do \
-		cp $$task $(USPACEDIR)/dist/sbin/ ; \
+	for file in $(RD_SRVS) ; do \
+		cp $$file $(USPACEDIR)/dist/srv/ ; \
+	done
+	for file in $(RD_APPS) ; do \
+		cp $$file $(USPACEDIR)/dist/app/ ; \
 	done
 ifeq ($(RDFMT),tmpfs)
@@ -82,6 +87,9 @@
 
 clean:
-	-for task in $(RD_TASKS) ; do \
-		rm -f $(USPACEDIR)/dist/sbin/`basename $$task` ; \
+	-for file in $(RD_SRVS) ; do \
+		rm -f $(USPACEDIR)/dist/srv/`basename $$file` ; \
+	done
+	-for file in $(RD_APPS) ; do \
+		rm -f $(USPACEDIR)/dist/app/`basename $$file` ; \
 	done
 	-rm -fr arch/$(ARCH)/iso
Index: boot/arch/arm32/loader/Makefile
===================================================================
--- boot/arch/arm32/loader/Makefile	(revision dac629e767b17f75b8968349798b5c5247f1ed44)
+++ boot/arch/arm32/loader/Makefile	(revision de9c5cbc90334782b655fd95ccf8e38ca75bd9be)
@@ -97,10 +97,12 @@
 endif
 
-RD_TASKS = \
+RD_SRVS = \
 	$(USPACEDIR)/srv/fb/fb \
 	$(USPACEDIR)/srv/kbd/kbd \
 	$(USPACEDIR)/srv/console/console \
 	$(USPACEDIR)/srv/fs/tmpfs/tmpfs \
-	$(USPACEDIR)/srv/fs/fat/fat \
+	$(USPACEDIR)/srv/fs/fat/fat
+
+RD_APPS = \
 	$(USPACEDIR)/app/tetris/tetris \
 	$(USPACEDIR)/app/tester/tester \
@@ -124,12 +126,18 @@
 
 clean:
-	-for task in $(RD_TASKS) ; do \
-		rm -f $(USPACEDIR)/dist/sbin/`basename $$task` ; \
+	-for file in $(RD_SRVS) ; do \
+		rm -f $(USPACEDIR)/dist/srv/`basename $$file` ; \
+	done
+	-for file in $(RD_APPS) ; do \
+		rm -f $(USPACEDIR)/dist/app/`basename $$file` ; \
 	done
 	-rm -f _components.h _components.c _link.ld $(COMPONENT_OBJECTS) initrd.o $(OBJECTS) initrd.img image.boot Makefile.depend
 
-_components.h _components.c _link.ld $(COMPONENT_OBJECTS) initrd.o: $(COMPONENTS) _link.ld.in
-	for task in $(RD_TASKS) ; do \
-		cp $$task $(USPACEDIR)/dist/sbin/ ; \
+_components.h _components.c _link.ld $(COMPONENT_OBJECTS) initrd.o: $(COMPONENTS) $(RD_SRVS) $(RD_APPS) _link.ld.in
+	for file in $(RD_SRVS) ; do \
+		cp $$file $(USPACEDIR)/dist/srv/ ; \
+	done
+	for file in $(RD_APPS) ; do \
+		cp $$file $(USPACEDIR)/dist/app/ ; \
 	done
 ifeq ($(RDFMT),tmpfs)
Index: boot/arch/ia32/Makefile.inc
===================================================================
--- boot/arch/ia32/Makefile.inc	(revision dac629e767b17f75b8968349798b5c5247f1ed44)
+++ boot/arch/ia32/Makefile.inc	(revision de9c5cbc90334782b655fd95ccf8e38ca75bd9be)
@@ -41,10 +41,12 @@
 endif
 
-RD_TASKS = \
+RD_SRVS = \
 	$(USPACEDIR)/srv/pci/pci \
 	$(USPACEDIR)/srv/fb/fb \
 	$(USPACEDIR)/srv/kbd/kbd \
 	$(USPACEDIR)/srv/console/console \
-	$(USPACEDIR)/srv/fs/fat/fat \
+	$(USPACEDIR)/srv/fs/fat/fat
+
+RD_APPS = \
 	$(USPACEDIR)/app/tetris/tetris \
 	$(USPACEDIR)/app/tester/tester \
@@ -54,5 +56,5 @@
 build: $(BASE)/image.iso
 
-$(BASE)/image.iso: arch/$(ARCH)/grub/stage2_eltorito arch/$(ARCH)/grub/menu.lst $(KERNELDIR)/kernel.bin $(INIT_TASKS) $(RD_TASKS)
+$(BASE)/image.iso: arch/$(ARCH)/grub/stage2_eltorito arch/$(ARCH)/grub/menu.lst $(KERNELDIR)/kernel.bin $(INIT_TASKS) $(RD_SRVS) $(RD_APPS)
 	mkdir -p arch/$(ARCH)/iso/boot/grub
 	cp arch/$(ARCH)/grub/stage2_eltorito arch/$(ARCH)/iso/boot/grub/
@@ -67,6 +69,9 @@
 		cp $$task arch/$(ARCH)/iso/boot/ ; \
 	done
-	for task in $(RD_TASKS) ; do \
-		cp $$task $(USPACEDIR)/dist/sbin/ ; \
+	for file in $(RD_SRVS) ; do \
+		cp $$file $(USPACEDIR)/dist/srv/ ; \
+	done
+	for file in $(RD_APPS) ; do \
+		cp $$file $(USPACEDIR)/dist/app/ ; \
 	done
 ifeq ($(RDFMT),tmpfs)
@@ -81,6 +86,9 @@
 
 clean:
-	-for task in $(RD_TASKS) ; do \
-		rm -f $(USPACEDIR)/dist/sbin/`basename $$task` ; \
+	-for file in $(RD_SRVS) ; do \
+		rm -f $(USPACEDIR)/dist/srv/`basename $$file` ; \
+	done
+	-for file in $(RD_APPS) ; do \
+		rm -f $(USPACEDIR)/dist/app/`basename $$file` ; \
 	done
 	-rm -fr arch/$(ARCH)/iso
Index: boot/arch/mips32/loader/Makefile
===================================================================
--- boot/arch/mips32/loader/Makefile	(revision dac629e767b17f75b8968349798b5c5247f1ed44)
+++ boot/arch/mips32/loader/Makefile	(revision de9c5cbc90334782b655fd95ccf8e38ca75bd9be)
@@ -97,15 +97,16 @@
 endif
 
-RD_TASKS = \
+RD_SRVS = \
 	$(USPACEDIR)/srv/fb/fb \
 	$(USPACEDIR)/srv/kbd/kbd \
 	$(USPACEDIR)/srv/console/console \
 	$(USPACEDIR)/srv/fs/tmpfs/tmpfs \
-	$(USPACEDIR)/srv/fs/fat/fat \
+	$(USPACEDIR)/srv/fs/fat/fat
+
+RD_APPS = \
 	$(USPACEDIR)/app/tetris/tetris \
 	$(USPACEDIR)/app/tester/tester \
 	$(USPACEDIR)/app/bdsh/bdsh \
 	$(USPACEDIR)/app/klog/klog
-
 
 OBJECTS := $(addsuffix .o,$(basename $(SOURCES)))
@@ -125,12 +126,18 @@
 
 clean:
-	-for task in $(RD_TASKS) ; do \
-		rm -f $(USPACEDIR)/dist/sbin/`basename $$task` ; \
+	-for file in $(RD_SRVS) ; do \
+		rm -f $(USPACEDIR)/dist/srv/`basename $$file` ; \
+	done
+	-for file in $(RD_APPS) ; do \
+		rm -f $(USPACEDIR)/dist/app/`basename $$file` ; \
 	done
 	-rm -f _components.h _components.c _link.ld _link.ld.in $(COMPONENT_OBJECTS) initrd.o $(OBJECTS) initrd.img image.boot Makefile.depend
 
-_components.h _components.c _link.ld $(COMPONENT_OBJECTS) initrd.o: $(COMPONENTS) _link.ld.in
-	for task in $(RD_TASKS) ; do \
-		cp $$task $(USPACEDIR)/dist/sbin/ ; \
+_components.h _components.c _link.ld $(COMPONENT_OBJECTS) initrd.o: $(COMPONENTS) $(RD_SRVS) $(RD_APPS) _link.ld.in
+	for file in $(RD_SRVS) ; do \
+		cp $$file $(USPACEDIR)/dist/srv/ ; \
+	done
+	for file in $(RD_APPS) ; do \
+		cp $$file $(USPACEDIR)/dist/app/ ; \
 	done
 ifeq ($(RDFMT),tmpfs)
Index: boot/arch/ppc32/loader/Makefile
===================================================================
--- boot/arch/ppc32/loader/Makefile	(revision dac629e767b17f75b8968349798b5c5247f1ed44)
+++ boot/arch/ppc32/loader/Makefile	(revision de9c5cbc90334782b655fd95ccf8e38ca75bd9be)
@@ -92,10 +92,12 @@
 endif
 
-RD_TASKS = \
+RD_SRVS = \
 	$(USPACEDIR)/srv/fb/fb \
 	$(USPACEDIR)/srv/kbd/kbd \
 	$(USPACEDIR)/srv/console/console \
 	$(USPACEDIR)/srv/fs/tmpfs/tmpfs \
-	$(USPACEDIR)/srv/fs/fat/fat \
+	$(USPACEDIR)/srv/fs/fat/fat
+
+RD_APPS = \
 	$(USPACEDIR)/app/tetris/tetris \
 	$(USPACEDIR)/app/tester/tester \
@@ -119,12 +121,18 @@
 
 clean:
-	-for task in $(RD_TASKS) ; do \
-		rm -f $(USPACEDIR)/dist/sbin/`basename $$task` ; \
+	-for file in $(RD_SRVS) ; do \
+		rm -f $(USPACEDIR)/dist/srv/`basename $$file` ; \
+	done
+	-for file in $(RD_APPS) ; do \
+		rm -f $(USPACEDIR)/dist/app/`basename $$file` ; \
 	done
 	-rm -f _components.h _components.c _link.ld $(COMPONENT_OBJECTS) initrd.o $(OBJECTS) initrd.img image.boot Makefile.depend
 
-_components.h _components.c _link.ld $(COMPONENT_OBJECTS) initrd.o: $(COMPONENTS) $(RD_TASKS) _link.ld.in
-	for task in $(RD_TASKS) ; do \
-		cp $$task $(USPACEDIR)/dist/sbin/ ; \
+_components.h _components.c _link.ld $(COMPONENT_OBJECTS) initrd.o: $(COMPONENTS) $(RD_SRVS) $(RD_APPS) _link.ld.in
+	for file in $(RD_SRVS) ; do \
+		cp $$file $(USPACEDIR)/dist/srv/ ; \
+	done
+	for file in $(RD_APPS) ; do \
+		cp $$file $(USPACEDIR)/dist/app/ ; \
 	done
 ifeq ($(RDFMT),tmpfs)
Index: boot/arch/sparc64/loader/Makefile
===================================================================
--- boot/arch/sparc64/loader/Makefile	(revision dac629e767b17f75b8968349798b5c5247f1ed44)
+++ boot/arch/sparc64/loader/Makefile	(revision de9c5cbc90334782b655fd95ccf8e38ca75bd9be)
@@ -95,10 +95,12 @@
 endif
 
-RD_TASKS = \
+RD_SRVS = \
 	$(USPACEDIR)/srv/fb/fb \
 	$(USPACEDIR)/srv/kbd/kbd \
 	$(USPACEDIR)/srv/console/console \
 	$(USPACEDIR)/srv/fs/tmpfs/tmpfs \
-	$(USPACEDIR)/srv/fs/fat/fat \
+	$(USPACEDIR)/srv/fs/fat/fat
+
+RD_APPS = \
 	$(USPACEDIR)/app/tetris/tetris \
 	$(USPACEDIR)/app/tester/tester \
@@ -122,12 +124,18 @@
 
 clean:
-	-for task in $(RD_TASKS) ; do \
-		rm -f $(USPACEDIR)/dist/sbin/`basename $$task` ; \
+	-for file in $(RD_SRVS) ; do \
+		rm -f $(USPACEDIR)/dist/srv/`basename $$file` ; \
+	done
+	-for file in $(RD_APPS) ; do \
+		rm -f $(USPACEDIR)/dist/app/`basename $$file` ; \
 	done
 	-rm -f _components.h _components.c _link.ld $(COMPONENT_OBJECTS) $(OBJECTS) initrd.img image.boot image.map image.disasm Makefile.depend
 
-_components.h _components.c _link.ld $(COMPONENT_OBJECTS) initrd.o: $(COMPONENTS) $(RD_TASKS) _link.ld.in
-	for task in $(RD_TASKS) ; do \
-		cp $$task $(USPACEDIR)/dist/sbin/ ; \
+_components.h _components.c _link.ld $(COMPONENT_OBJECTS) initrd.o: $(COMPONENTS) $(RD_SRVS) $(RD_APPS) _link.ld.in
+	for file in $(RD_SRVS) ; do \
+		cp $$file $(USPACEDIR)/dist/srv/ ; \
+	done
+	for file in $(RD_APPS) ; do \
+		cp $$file $(USPACEDIR)/dist/app/ ; \
 	done
 ifeq ($(RDFMT),tmpfs)
Index: uspace/app/bdsh/config.h
===================================================================
--- uspace/app/bdsh/config.h	(revision dac629e767b17f75b8968349798b5c5247f1ed44)
+++ uspace/app/bdsh/config.h	(revision de9c5cbc90334782b655fd95ccf8e38ca75bd9be)
@@ -10,5 +10,5 @@
 
 /* Work around for getenv() */
-#define PATH "/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin"
+#define PATH "/srv:/app"
 #define PATH_DELIM ":"
 
Index: uspace/app/init/init.c
===================================================================
--- uspace/app/init/init.c	(revision dac629e767b17f75b8968349798b5c5247f1ed44)
+++ uspace/app/init/init.c	(revision de9c5cbc90334782b655fd95ccf8e38ca75bd9be)
@@ -105,13 +105,13 @@
 	}
 	
-	// FIXME: spawn("/sbin/pci");
-	spawn("/sbin/fb");
-	spawn("/sbin/kbd");
-	spawn("/sbin/console");
+	// FIXME: spawn("/srv/pci");
+	spawn("/srv/fb");
+	spawn("/srv/kbd");
+	spawn("/srv/console");
 	
 	console_wait();
 	version_print();
 	
-	spawn("/sbin/bdsh");
+	spawn("/app/bdsh");
 	
 	return 0;
